# Class AjaxURLConnection

java.lang.Object
java.net.URLConnection
javajs.util.AjaxURLConnection

public class AjaxURLConnection extends URLConnection
A method to allow a JavaScript Ajax

## Field Summary

### Fields inherited from class URLConnection

`allowUserInteraction, connected, doInput, doOutput, ifModifiedSince, url, useCaches`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AjaxURLConnection(URL url)`

## Method Summary

Modifier and Type
Method
Description
`void`
`connect()`
`Object`
`getContents()`
`InputStream`
`getInputStream()`
`void`
`outputBytes(byte[] bytes)`
`void`
`outputString(String post)`

### Methods inherited from class URLConnection

`addRequestProperty, getAllowUserInteraction, getConnectTimeout, getContent, getContent, getContentEncoding, getContentLength, getContentLengthLong, getContentType, getDate, getDefaultAllowUserInteraction, getDefaultRequestProperty, getDefaultUseCaches, getDefaultUseCaches, getDoInput, getDoOutput, getExpiration, getFileNameMap, getHeaderField, getHeaderField, getHeaderFieldDate, getHeaderFieldInt, getHeaderFieldKey, getHeaderFieldLong, getHeaderFields, getIfModifiedSince, getLastModified, getOutputStream, getPermission, getReadTimeout, getRequestProperties, getRequestProperty, getURL, getUseCaches, guessContentTypeFromName, guessContentTypeFromStream, setAllowUserInteraction, setConnectTimeout, setContentHandlerFactory, setDefaultAllowUserInteraction, setDefaultRequestProperty, setDefaultUseCaches, setDefaultUseCaches, setDoInput, setDoOutput, setFileNameMap, setIfModifiedSince, setReadTimeout, setRequestProperty, setUseCaches, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AjaxURLConnection

protected AjaxURLConnection(URL url)

## Method Details

### connect

public void connect() throws IOException

Specified by:
  `connect` in class `URLConnection`
Throws:
  `IOException`

### outputBytes

public void outputBytes(byte[] bytes)

### outputString

public void outputString(String post)

### getInputStream

public InputStream getInputStream()

Overrides:
  `getInputStream` in class `URLConnection`

### getContents

public Object getContents()

Returns:
  javajs.util.SB or byte[], depending upon the file type